'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /**
                                                                                                                                                                                                                                                                   * Created by timur on 3/10/17.
                                                                                                                                                                                                                                                                   */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Grid = function Grid(props) {
  var children = props.children;

  // Rows are the immediate children of the grid

  var rows = (0, _utils.itemToArray)(children);

  var grid = rows.map(function (row, y) {

    // Columns are grandchildren of the grid
    var cols = (0, _utils.itemToArray)(row.props.children);

    return _react2.default.createElement(
      'div',
      _extends({}, row.props, {
        key: y,
        className: 'row'
      }),
      cols.map(function (col, x) {

        var className = Object.keys(col.props).filter(function (prop) {
          return prop !== 'children';
        });

        var md = col.props.md;


        var colPassDownProps = Object.keys(col.props).filter(function (prop) {
          return prop !== 'md';
        });

        console.log('colPassDownProps', colPassDownProps);

        console.log('classname', className);
        console.log('md', md);

        return _react2.default.createElement('div', _extends({
          key: x
        }, colPassDownProps));
      })
    );
  });

  return _react2.default.createElement(
    'div',
    props,
    grid
  );
};

exports.default = Grid;